2024-06-22 12:50 (토)
아파치 플링크의 심각한 보안 취약점 발견…주의
상태바
아파치 플링크의 심각한 보안 취약점 발견…주의
  • 길민권 기자
  • 승인 2024.05.24 17:44
이 기사를 공유합니다

2024년 5월 23일, 미국 사이버 보안 및 인프라 보안국(CISA)은 아파치 플링크(Apache Flink)에서 발견된 심각한 보안 취약점을 '알려진 취약점 목록'(Known Exploited Vulnerabilities, KEV) 카탈로그에 추가했다고 발표했다. 이 취약점은 현재 활발히 악용되고 있는 것으로 확인되었다.
 
이번에 문제가 된 취약점은 CVE-2020-17519로, 잘못된 접근 제어로 인해 공격자가 JobManager의 REST 인터페이스를 통해 로컬 파일 시스템의 모든 파일을 읽을 수 있게 하는 문제이다. 이 취약점은 플링크 1.11.0, 1.11.1, 1.11.2 버전에 영향을 미치며, 1.11.3 및 1.12.0 버전에서 수정되었다. 
 
이 취약점은 원격의 인증되지 않은 공격자가 디렉토리 이동 기법을 이용해 민감한 정보에 접근할 수 있도록 한다. 이러한 공격의 구체적인 내용은 아직 일부 불명확하지만, 현실 세계에서 중요한 영향을 미치는 것으로 나타났다. 팔로 알토 네트웍스의 유닛 42(Unit 42) 보고서에 따르면, 2020년 11월부터 2021년 1월 사이에 이와 관련된 취약점들이 광범위하게 악용되었다고 한다.
 
CISA는 이번 취약점의 활발한 악용을 막기 위해 연방 기관 및 기타 영향을 받는 조직들에게 2024년 6월 13일까지 필요한 수정을 적용할 것을 권고했다. 사용자는 즉시 아파치 플링크 인스턴스를 패치된 버전으로 업그레이드하거나, 업그레이드가 불가능한 경우 임시 보호 조치를 취해야 한다.
 
아파치 플링크는 대규모 스트리밍 데이터 처리를 위해 널리 사용되는 오픈 소스 프레임워크로, 이번 취약점은 파일 경로를 올바르게 검증하도록 코드를 변경하여 수정되었다.
 
이 취약점은 2021년 1월에 처음으로 수정되었으나, 지속적인 주의와 신속한 조치가 필요하다. 
■ 보안 사건사고 제보 하기

▷ 이메일 : mkgil@dailysecu.com

▷ 제보 내용 : 보안 관련 어떤 내용이든 제보를 기다립니다!

▷ 광고문의 : jywoo@dailysecu.com

★정보보안 대표 미디어 데일리시큐 / Dailysecu, Korea's leading security media!★